package org.openxma.dsl.reference.base.validation;

import org.openxma.dsl.platform.validation.Validators;
import org.openxma.dsl.reference.base.model.BaseEntity;
import org.springframework.validation.Errors;
import static org.openxma.dsl.platform.validation.ValidatorsHelper.*;


@SuppressWarnings("boxing")
public abstract class BaseEntityGenValidator extends Validators {
	
	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return BaseEntity.class.isAssignableFrom(clazz);
	}
	
	public Errors validate(BaseEntity baseEntity) {
		Errors errors = createErrors(baseEntity);
		validate(baseEntity,errors);
		return errors;
	}
	
	public void validate(Object object, Errors errors) {
		BaseEntity baseEntity = (BaseEntity) object;
		
	}
}
