package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.types.valueobject.OrderNumber;

public abstract class SingleOrderViewGen implements Serializable {
	private static final long serialVersionUID = -1904141917;
	protected String customerOid;
	protected String firstName;
	protected String lastName;
	protected String orderOid;
	protected OrderNumber orderNumber;
	protected Date deliveryDate;
	protected String storeId;
	
	public String getCustomerOid() {
		return this.customerOid;
	}
	
	public void setCustomerOid(String customerOid) {
		this.customerOid=customerOid;
	}
	
	public String getFirstName() {
		return this.firstName;
	}
	
	public void setFirstName(String firstName) {
		this.firstName=firstName;
	}
	
	public String getLastName() {
		return this.lastName;
	}
	
	public void setLastName(String lastName) {
		this.lastName=lastName;
	}
	
	public String getOrderOid() {
		return this.orderOid;
	}
	
	public void setOrderOid(String orderOid) {
		this.orderOid=orderOid;
	}
	
	public OrderNumber getOrderNumber() {
		return this.orderNumber;
	}
	
	public void setOrderNumber(OrderNumber orderNumber) {
		this.orderNumber=orderNumber;
	}
	
	public Date getDeliveryDate() {
		return this.deliveryDate;
	}
	
	public void setDeliveryDate(Date deliveryDate) {
		this.deliveryDate=deliveryDate;
	}
	
	public String getStoreId() {
		return this.storeId;
	}
	
	public void setStoreId(String storeId) {
		this.storeId=storeId;
	}
	
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("SingleOrderView [");
		toStringBuilder.append("customerOid=").append(getCustomerOid()).append(",");
		toStringBuilder.append("firstName=").append(getFirstName()).append(",");
		toStringBuilder.append("lastName=").append(getLastName()).append(",");
		toStringBuilder.append("orderOid=").append(getOrderOid()).append(",");
		toStringBuilder.append("orderNumber=").append(getOrderNumber()).append(",");
		toStringBuilder.append("deliveryDate=").append(getDeliveryDate()).append(",");
		toStringBuilder.append("storeId=").append(getStoreId());
		return toStringBuilder.append("]").toString();
	}
}
