package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public abstract class SpReportResultDtoGen implements Serializable {
	private static final long serialVersionUID = 749192331;
	protected Integer countRows;
	protected String customerName;
	protected List<Integer> orderIds;
	
	public Integer getCountRows() {
		return this.countRows;
	}
	
	public void setCountRows(Integer countRows) {
		this.countRows=countRows;
	}
	
	public String getCustomerName() {
		return this.customerName;
	}
	
	public void setCustomerName(String customerName) {
		this.customerName=customerName;
	}
	
	public List<Integer> getOrderIds() {
		return this.orderIds;
	}
	
	public void setOrderIds(List<Integer> orderIds) {
		this.orderIds=orderIds;
	}
	
	public void addOrderIds(Integer orderIds) {
		if (orderIds == null) {
			throw new IllegalArgumentException("parameter 'orderIds' must not be null");
		}
		if (getOrderIds() == null) {
			this.orderIds = new ArrayList<Integer>();
		}
		this.orderIds.add(orderIds);
	}
	
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("SpReportResultDto [");
		toStringBuilder.append("countRows=").append(getCountRows()).append(",");
		toStringBuilder.append("customerName=").append(getCustomerName()).append(",");
		toStringBuilder.append("orderIds=").append(getOrderIds());
		return toStringBuilder.append("]").toString();
	}
}
