package org.openxma.dsl.reference.jsr303.model.impl;

import javax.validation.constraints.Size;
import org.openxma.dsl.reference.jsr303.model.Jsr303BaseEntity;
import org.openxma.dsl.reference.jsr303.validation.ValidJsr303BaseEntity;

@ValidJsr303BaseEntity
public abstract class Jsr303BaseEntityGenImpl implements Jsr303BaseEntity {
	@Size.List({
		@Size(max=10,message="{validation.Size.String.Jsr303BaseEntity.baseString}"),
		@Size(min=5,max=10,message="{validation.Size.String.Jsr303BaseEntity.baseString}")
	})
	protected String baseString;
	
	public String getBaseString() {
		return this.baseString;
	}
	
	public void setBaseString(String baseString) {
		this.baseString = baseString;
	}

	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("Jsr303BaseEntity [");
		toStringBuilder.append("baseString=").append(getBaseString());
		return toStringBuilder.append("]").toString();
	}
}
