package org.openxma.dsl.reference.jsr303.validation;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import javax.validation.Constraint;
import javax.validation.Payload;

@Target({ TYPE })
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {Jsr303TestEntityViewValidator.class})
public @interface ValidJsr303TestEntityView {
	String message() default "{org.openxma.dsl.reference.jsr303.validation.ValidJsr303TestEntityView.message}";

	Class<?>[] groups() default { };

	Class<? extends Payload>[] payload() default {};

}
