package org.openxma.dsl.reference.service;

import java.util.Collection;
import org.openxma.dsl.platform.query.Expression;
import org.openxma.dsl.reference.dto.CustomerAddressDto;
import org.openxma.dsl.reference.dto.CustomerIdDto;
import org.openxma.dsl.reference.dto.CustomerView;
public interface CustomerServiceGen {
	Collection<CustomerView> findAllByFirstNameAndLastName(String firstName,String lastName);
	Collection<CustomerView> findAllByFirstNameAndLastName(String firstName,String lastName,Expression _filter);
	Collection<CustomerView> findAllByFirstNameAndLastName(String firstName,String lastName,String emailAddress);
	Collection<CustomerView> findAllByFirstNameAndLastName(String firstName,String lastName,String emailAddress,Expression _filter);
	Collection<CustomerAddressDto> testSubSelectBug();
	Collection<CustomerAddressDto> testSubSelectBug(Expression _filter);
	Collection<CustomerAddressDto> testSubSelectBugInWhereClause();
	Collection<CustomerAddressDto> testSubSelectBugInWhereClause(Expression _filter);
	Collection<CustomerView> findByNamedQueryCustomerLastName(String lastName);
	Collection<CustomerIdDto> findAllCustomerIds();
	Collection<String> findAllCustomerIdLikeName(String name);
	CustomerView save(CustomerView customerView);
	CustomerView loadCustomerView(String oid);
	void update(CustomerView customerView);
	void deleteCustomer(String oid);
	CustomerView saveOrUpdate(CustomerView customerView);
}
