package org.openxma.dsl.reference.validation;

import org.openxma.dsl.platform.validation.Validators;
import org.openxma.dsl.reference.model.TestEntity;
import org.springframework.validation.Errors;
import static org.openxma.dsl.platform.validation.ValidatorsHelper.*;


@SuppressWarnings("boxing")
public abstract class TestEntityGenValidator extends Validators {
	
	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return TestEntity.class.isAssignableFrom(clazz);
	}
	
	public Errors validate(TestEntity testEntity) {
		Errors errors = createErrors(testEntity);
		validate(testEntity,errors);
		return errors;
	}
	
	public void validate(Object object, Errors errors) {
		TestEntity testEntity = (TestEntity) object;
		
	}
}
