package org.openxma.dsl.reference.xma.customeredit.client;

import at.spardat.xma.boot.component.IComponent;
import at.spardat.xma.page.IEmbeddable;

/**
 *  Customer Edit Comop
 *  
 * This interface defines the public getter and setter
 * for the properties of CustomerEdit.
 *
 */
public interface ICustomerEdit extends IComponent, IEmbeddable {

    /** The name of the component to use in getComponent() */
    public static final String COMPONENT_NAME = "CustomerEdit";

    /** Name constant for the property mode */
    public static final String PROPERTY_NAME_MODE = "mode";
    /**
     * the mode of the component
     */
    public void setMode(String mode);

    /** Name constant for the property selectedCustomerId */
    public static final String PROPERTY_NAME_SELECTEDCUSTOMERID = "selectedCustomerId";
    /**
     * the id of the selected customer
     */
    public String getSelectedCustomerId();

    /** Name constant for the property selectedCustomerFirstName */
    public static final String PROPERTY_NAME_SELECTEDCUSTOMERFIRSTNAME = "selectedCustomerFirstName";
    /**
     * firstname of the selected customer
     */
    public String getSelectedCustomerFirstName();

    /** Name constant for the property selectedCustomerLastName */
    public static final String PROPERTY_NAME_SELECTEDCUSTOMERLASTNAME = "selectedCustomerLastName";
    /**
     * lastname of the selected customer
     */
    public String getSelectedCustomerLastName();

    /** Name constant for the property uncommentedProperty */
    public static final String PROPERTY_NAME_UNCOMMENTEDPROPERTY = "uncommentedProperty";
}
