package org.openxma.dsl.reference.jsr303.validation;

import java.util.HashSet;
import java.util.Set;
import org.openxma.dsl.platform.validation.Jsr303Validators;
import org.openxma.dsl.reference.jsr303.dto.Jsr303TestEntityView;
import org.openxma.dsl.reference.jsr303.dto.Jsr303TestEntityViewGen.IsStrConstraint1Enabled;
import org.openxma.dsl.reference.jsr303.validation.ValidJsr303TestEntityView;

@SuppressWarnings("boxing")
public abstract class Jsr303TestEntityViewGenValidator extends Jsr303Validators<ValidJsr303TestEntityView, Jsr303TestEntityView> {
	
	protected Set<Class<?>> createGroups(Jsr303TestEntityView jsr303TestEntityView) {
		Set<Class<?>> groups = new HashSet<Class<?>>();
		if (isStrConstraint1Enabled(jsr303TestEntityView)) {
			groups.add(IsStrConstraint1Enabled.class);
		}
		return groups;
	}
	
	public boolean isStrConstraint1Enabled(Jsr303TestEntityView jsr303TestEntityView) {
		return (jsr303TestEntityView.getCategory()!=null);
	}
}
