package org.openxma.dsl.reference.model;

import java.util.Set;
import org.openxma.dsl.reference.model.Category;
import org.openxma.dsl.reference.model.Product;

public interface CategoryGen  {

	Long getOid();
	void setOid(Long oid);

	String getName();
	void setName(String name);

	String getDisplayName();
	void setDisplayName(String displayName);

	Category getParentCategory();
	void setParentCategory(Category parentCategory);

	Set<Category> getSubCategories();
	boolean hasSubCategories();
	void addSubCategories(Category subCategories);
	void removeSubCategories(Category subCategories);
	void removeAllSubCategories();

	Set<Product> getProducts();
	boolean hasProducts();
	void addProducts(Product products);
	void removeProducts(Product products);
	void removeAllProducts();
}
