package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.base.model.impl.BaseEntityImpl;
import org.openxma.dsl.reference.model.Certificate;
import org.openxma.dsl.reference.model.Product;

public abstract class CertificateGenImpl extends BaseEntityImpl implements Certificate {
	protected String certificateDescription;
	protected Product product;
	
	public String getCertificateDescription() {
		return this.certificateDescription;
	}
	
	public void setCertificateDescription(String certificateDescription) {
		this.certificateDescription = certificateDescription;
	}
	
	public Product getProduct() {
		return this.product;
	}
	
	public void setProduct(Product product) {
		if (this.product != product) {
			this.product = product;
			if (product != null) {
				product.setCert1(this);
			}
		}
	}

	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("Certificate [");
		toStringBuilder.append(super.toString()).append(",");
		toStringBuilder.append("certificateDescription=").append(getCertificateDescription());
		return toStringBuilder.append("]").toString();
	}
}
