package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.model.SpTest;

public abstract class SpTestGenImpl implements SpTest {
	protected Long oid;
	
	public Long getOid() {
		return this.oid;
	}
	
	public void setOid(Long oid) {
		this.oid = oid;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((getOid() == null) ? 0 : getOid().hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof SpTest)) {
			return false;
		}
		SpTest other = (SpTest) obj;
		if (getOid() == null) {
			if (other.getOid() != null) {
				return false;
			}
		} else if (!getOid().equals(other.getOid())) {
			return false;
		}
		return true;
	}
	
	@Override
	public String toString() {
		StringBuilder toStringBuilder = new StringBuilder("SpTest [");
		toStringBuilder.append("oid=").append(getOid());
		return toStringBuilder.append("]").toString();
	}
}
