package org.openxma.dsl.reference.types.valueobject;

/**
 * Represents a custom DataType for <code>OrderNumber</code>.
 */
public class OrderNumber extends org.openxma.dsl.platform.valueobject.ValueObjectString {

    /**
     * Put the control and responsibility on the developer to determine the version of the
     * serialization class with which a serialized object is compatible.
     */
    private static final long serialVersionUID = 100L;

    /**
     * default ctor
     */
    public OrderNumber(String pString) {
    	super(pString);
    }

    /**
     * Create a new instance of OrderNumber or return null depending on input.
     */
    public static OrderNumber newOrNull(String pString) {
        if (pString != null) {
            return new OrderNumber(pString);
        }
        return null;
    }

}
